Callbacks Configurations

Astragate supports callbacks for transaction status updates. Callbacks allow your system to receive transaction results automatically after a transaction has been processed. This helps you update your records in real time without needing to manually check transaction status repeatedly.

How to Configure Callbacks

Callback URLs are configured in the Astragate Merchant Portal.

Astragate allows you to configure separate callback URLs for different services.

Currently supported callback types include:

  • Payout callbacks
  • Collection callbacks
  • SMS callbacks

Where to Configure

In the Merchant Portal, navigate to the settings section then API & Integrations Page under callback and provide the callback URL for the relevant service.

For example, you may configure:

  • Payout Callback URL
  • Collection Callback URL
  • SMS Callback URL

Example Callback URLs

https://yourdomain.com/api/callbacks/payout
https://yourdomain.com/api/callbacks/collection
https://yourdomain.com/api/callbacks/sms

Each callback URL should point to an endpoint on your server that is able to receive incoming HTTP requests from Astragate.


Callback URL Requirements

Your callback URL should:

  • Be publicly accessible
  • Support HTTP POST requests
  • Be able to receive JSON request bodies
  • Be available to accept transaction updates from Astragate

What Payload Will Astragate Send?

When a transaction status changes, Astragate sends a POST request to your configured callback URL.

This request contains the transaction result in JSON format.


Request Method

Astragate sends callbacks using:

post

Content Type

The request body is sent as:

Content-Type: application/json

Example Callback Request

Payout Callback Example

{
  "callbackType": "PAYOUT",
  "statusCode": "4200",
  "correlatorId": "we434",
  "systemTransactionId": "d604fd49-6889-4c76-ab61-ce71fdb48175",
  "statusDescription": "Success"
}

Collection Callback Example

{
  "callbackType": "COLLECTION",
  "statusCode": "4200",
  "correlatorId": "2323e",
  "systemTransactionId": "992d4e2b-9e50-43a7-8045-ed985009b1b7",
  "statusDescription": "Success"
}

SMS Callback Example

{
  "callbackType": "SMS",
  "statusCode": "4200",
  "correlatorId": "wetsy",
  "systemTransactionId": "992d2b-9e50-43a7-8045-ed985009b1b7",
  "statusDescription": "Success"
}